		var encodeObj = document.getElementById("encode");
		//定义变量 encodeObj 获取到 左边要加密的文本域
		var decodeObj = document.getElementById("decode");
		//定义变量 decodeObj 获取到 右边解密后的文本域
		var dianji = document.getElementsByTagName("button");
		//获取到当前页面的所有button
		
		//获得常规变异是否勾选
		var hexchanggui = document.getElementById("htmlbianyi");
		//获得非常规变异是否勾选
		var hexnochanggui = document.getElementById("hex90");
		//获得是否要去掉html编码的分号
		var fenhao = document.getElementById("htmlfenhao");
		//获得是否要对&#进行url编码
		var twoURL = document.getElementById("twoURL");

		//定义变量 dianji 等于整个网页中的所有按钮对象
			for(var i =0;i<dianji.length;i++)   //dianji 是个数组 遍历数组
			{
				dianji[i].onclick=function()   //如果按钮中的某个按钮被点击  将执行一个匿名函数
				{
				var type= this.getAttribute("leixing");   //定义一个变量 type 获得当前被点击按钮的 leixing 属性！
				if(type=="jiami")						//如果leixing属性的值 等于 jiami 
					{

							jiami(document.getElementById('selectEncode').value);	//那么便调用加密函数 传参 当前按钮的name属性的值 function jiami(name)
					}
				if(type=="jiemi")						//如果leixing属性的值 等于 jiemi
					{
						jiemi(document.getElementById('selectDecode').value);	//那么便调用解密函数 传参 当前按钮的name属性的值 function jiemi(name)
					}
				}
			}
	
		function jiami(s)   //加密函数  定义一个变量  s 接受传入进来的值
		{
			//把传入的值 赋给变量 encode
			var encode = s;
			//if选择的url编码 则进入url编码 代码块
			if(encode=="url")
			{
				try
				{
					decodeObj.value = encodeURIComponent(encodeObj.value);
				}
				catch(e)
				{
					alert(e);
				}
			}

			//如果选择的html实体编码十进制
			if(encode=="html10")
			{
				try
				{

					var jieguo = "";
					if(fenhao.checked)
					{
						for(var i=0;i<encodeObj.value.length;i++)
						{
							jieguo +="&#"+encodeObj.value.charCodeAt(i);
						}
					}
					else
					{
						for(var i=0;i<encodeObj.value.length;i++)
						{
							jieguo +="&#"+encodeObj.value.charCodeAt(i)+";";
						}
					}

					//检查常规变异是否勾选
					if(hexchanggui.checked){
						//如果勾选 那么便加七个0
						//如果勾选对&#编码
						if(twoURL.checked)
						{
						var erciURL = jieguo.replace(/&#/g,"%26%230000000");
						decodeObj.value=erciURL;
						}
						else
						{
						var changgui = jieguo.replace(/&#/g,"&#0000000");
						decodeObj.value=changgui;
						}
					}

					//检查非常规变异是否勾选
					else if(hexnochanggui.checked)
					{
						//如果勾选则加10个0
						if(twoURL.checked)
						{
						var erciURL1 = jieguo.replace(/&#/g,"%26%230000000000");
						decodeObj.value=erciURL1;
						}
						else
						{
						var nochanggui = jieguo.replace(/&#/g,"&#0000000000");
						decodeObj.value=nochanggui;
						}
					}

					else
					{
						if(twoURL.checked)
						{
							decodeObj.value= jieguo.replace(/&#/g,"%26%23");
						}
						else
						{
							decodeObj.value=jieguo;
						}
					}
				}
				catch(e)
				{
					alert(e);
				}
				
			}

			//如果选择的html实体编码十六进制
			if(encode=="html16")
			{
				try{
					var jieguo = "";
					if(fenhao.checked)
					{
						for(var i=0;i<encodeObj.value.length;i++)
						{
							jieguo +="&#x"+encodeObj.value.charCodeAt(i).toString(16);
						}
					}
					else
					{
						for(var i=0;i<encodeObj.value.length;i++)
						{
							jieguo +="&#x"+encodeObj.value.charCodeAt(i).toString(16)+";";
						}
					}

					//检查常规变异是否勾选
					if(hexchanggui.checked){
						//如果勾选 那么便加七个0
						if(twoURL.checked)
						{
							decodeObj.value = jieguo.replace(/&#x/g,"%26%23x0000000");
							
						}
						else
						{
							var changgui = jieguo.replace(/&#x/g,"&#x0000000");
							decodeObj.value=changgui;
						}
					}

					//检查非常规变异是否勾选
					else if(hexnochanggui.checked)
					{
						//如果勾选则加10个0
						if(twoURL.checked)
						{
							decodeObj.value = jieguo.replace(/&#x/g,"%26%23x0000000000");
						}
						else
						{
							decodeObj.value = jieguo.replace(/&#x/g,"%26%23x0000000000");
						}
					}

					else
					{
						if(twoURL.checked)
						{
							decodeObj.value=jieguo.replace(/&#x/g,"%26%23x");
						}
						else
						{
							decodeObj.value=jieguo;
						}
					}

					}
				catch(e)
				{
					alert(e);
				}

			}

			//如果选择的编码是js unicode编码
			if(encode=="jsunicode")
			{
			try{	
				var jieguo = "";
				for(var i=0;i<encodeObj.value.length;i++)
				{
					jieguo +="\\u00"+encodeObj.value.charCodeAt(i).toString(16);
				}
				decodeObj.value=jieguo;
				}
				catch(e)
				{
					alert(e);
				}
				

			}

			//如果选择的是js16进制编码
			if(encode=="js16")
			{
				try{
				var jieguo = "";

				for(var i=0;i<encodeObj.value.length;i++)
				{
					jieguo +="\\x"+encodeObj.value.charCodeAt(i).toString(16);
				}
				if(hexchanggui.checked)
				{
						//如果勾选 那么便加七个0
						var changgui = jieguo.replace(/\\x/g,"\\x0000000");
						decodeObj.value=changgui;
				}

					//检查非常规变异是否勾选
					else if(hexnochanggui.checked)
					{
						//如果勾选则加10个0
						var nochanggui = jieguo.replace(/\\x/g,"\\x0000000000");
						decodeObj.value=nochanggui;

					}

					else
					{
						decodeObj.value=jieguo;
					}

				}
				catch(e){

					alert(e);
				}

			}

			//如果选择的是js8进制编码
			if(encode=="js8")
			{
				try{
				var jieguo = "";
				for(var i=0;i<encodeObj.value.length;i++)
				{
					jieguo +="\\"+encodeObj.value.charCodeAt(i).toString(8);
				}
				decodeObj.value=jieguo;
				}
				catch(e)
				{
					alert(e);
				}

			}
			//如果选择的是base64编码
			if(encode=="base64")
			{	
				
				try{
					decodeObj.value=btoa(encodeObj.value);
				}
				catch(e)
				{
					alert(e.message);
				}
			}
			//如果选择的是UTF-7编码
			if(encode=="utf-7"){
				try{
					var base64Str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
					var directStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'(),-./:?";
					var optionalStr= "!\"#$%&*;<=>@[]^_`{|}";
					function utf7encode(str) {
						var l = str.length;
						var output = "";
						var chr1, chr2, chr3, chr4, enc1, enc2, enc3, input, direct, p;
						for (var j = 0; j < l; j++) {
							if (directStr.indexOf(str[j]) != -1 || /\s/.test(str[j]) == true) {
								output = output + str[j];
								direct = true;
								continue;
							}
							if (direct != false) output = output + "+";
							else output = output.slice(0, -1);
							if (str[j] == "*") input = "002a"
							else if (str[j] == "+") input = "002b"
							else if (str[j] == "@") input = "0040"
							else if (str[j] == "_") input = "005f"
							else input = escape(str[j]).replace(/%u/gi, "").replace(/%/gi, "");
							var num = 4 - input.length;
							if (num > 0) {
								input = String(Number("1.0e" + num)).slice(1) + input;
							}
							if (direct != false || p == 3) {
								chr1 = parseInt(input[0], 16);
								chr2 = parseInt(input[1], 16);
								chr3 = parseInt(input[2], 16);
								chr4 = parseInt(input[3], 16);
								enc1 = (chr1 << 2) | (chr2 >> 2);
								enc2 = (((chr2 & 3) << 4) | chr3);
								if (directStr.indexOf(str[j + 1]) != -1 || /\s/.test(str[j + 1]) == true || (j + 1) == l) {
									enc3 = chr4 << 2;
								}
								else {
									if (str[j + 1] == "*") input = "002a"
									else if (str[j + 1] == "+") input = "002b"
									else if (str[j + 1] == "@") input = "0040"
									else if (str[j + 1] == "_") input = "005f"
									else input = escape(str[j + 1]).replace(/%u/gi, "").replace(/%/gi, "");
									var num = 4 - input.length;
									if (num > 0) {
										input = String(Number("1.0e" + num)).slice(1) + input;
									}
									chr1 = parseInt(input[0], 16)
									enc3 = chr4 << 2 | chr1 >> 2
								}
								output = output + base64Str.charAt(enc1) + base64Str.charAt(enc2) + base64Str.charAt(enc3) + "-";
								p = 1;
							}
							else {
								if (p == 1) {
									chr1 = parseInt(input[0], 16);
									chr2 = parseInt(input[1], 16);
									chr3 = parseInt(input[2], 16);
									chr4 = parseInt(input[3], 16);
									enc1 = (chr1 & 3) << 4 | chr2;
									enc2 = chr3 << 2 | chr4 >> 2;
									if (directStr.indexOf(str[j + 1]) != -1 || /\s/.test(str[j + 1]) == true || (j + 1) == l) {
										enc3 = (chr4 & 3) << 4;
									}
									else {
										if (str[j + 1] == "*") input = "002a"
										else if (str[j + 1] == "+") input = "002b"
										else if (str[j + 1] == "@") input = "0040"
										else if (str[j + 1] == "_") input = "005f"
										else input = escape(str[j + 1]).replace(/%u/gi, "").replace(/%/gi, "");
										var num = 4 - input.length;
										if (num > 0) {
											input = String(Number("1.0e" + num)).slice(1) + input;
										}
										chr1 = parseInt(input[0], 16)
										enc3 = (chr4 & 3) << 4 | chr1;
									}
									output = output + base64Str.charAt(enc1) + base64Str.charAt(enc2) + base64Str.charAt(enc3) + "-";
									p = 2;
								}
								else if (p == 2) {
									chr2 = parseInt(input[1], 16);
									chr3 = parseInt(input[2], 16);
									chr4 = parseInt(input[3], 16);
									enc1 = (chr2 << 2) | (chr3 >> 2);
									enc2 = (chr3 & 3) << 4 | chr4;
									output = output + base64Str.charAt(enc1) + base64Str.charAt(enc2) + "-";
									p = 3;
								}
							}
							direct = false;
						}
						return output;
					}
					if(twoURL.checked){
						var tmp = utf7encode(encodeObj.value);
						decodeObj.value=tmp.replace(/\+/g,"%2b");
					}
					else{
					decodeObj.value=utf7encode(encodeObj.value);
					}
				}
				catch(e){
					alert(e.message);
				}
			}


			//如果选择的是 String.charCodeAt 编码
			if(encode=="String")
			{
				try
				{
					var Stringen = encodeObj.value;  //定义一个变量 获取要加密的内容
					var Stringde = new Array();		//创建一个新的数组  接受加密后的内容
					for(var i=0;i<Stringen.length;i++) 
					{
						Stringde[i]=Stringen.charCodeAt(i)  //数组中的 第当前循环值的下标的值 等于 要加密的当前下标的值  加密
					}
					decodeObj.value="String.fromCharCode("+Stringde+")";

				}	

				catch(e)
				{
					alert(e.message);
				}
			}

			//如果选择的是jp utf-8编码
			if(encode=="utf8jp")
			{
				try
				{
					var encodeString = encodeObj.value;
					decodeObj.value=aaencode(encodeString);
					//编码函数开始
					function aaencode( text )
					{
   					 var t;
    		   	     var b = [
		   		   		   		"(c^_^o)",
		   		   		   		"(ﾟΘﾟ)",
	   		   		   			"((o^_^o) - (ﾟΘﾟ))",
	   		   		   			"(o^_^o)",
	   		   		   			"(ﾟｰﾟ)",
	   		   		   			"((ﾟｰﾟ) + (ﾟΘﾟ))",
		   		   		   		"((o^_^o) +(o^_^o))",
		   		   		   		"((ﾟｰﾟ) + (o^_^o))",
		   		   		   		"((ﾟｰﾟ) + (ﾟｰﾟ))",
		   		   		   		"((ﾟｰﾟ) + (ﾟｰﾟ) + (ﾟΘﾟ))",
		   		   		   		"(ﾟДﾟ) .ﾟωﾟﾉ",
		   		   		   		"(ﾟДﾟ) .ﾟΘﾟﾉ",
		   		   		   		"(ﾟДﾟ) ['c']",
		   		   		   		"(ﾟДﾟ) .ﾟｰﾟﾉ",
		   		   		   		"(ﾟДﾟ) .ﾟДﾟﾉ",
		   		   		   		"(ﾟДﾟ) [ﾟΘﾟ]"
         		   		   		  ];
   		   		   	 var r = "ﾟωﾟﾉ= /｀ｍ´）ﾉ ~┻━┻   //*´∇｀*/ ['_']; o=(ﾟｰﾟ)  =_=3; c=(ﾟΘﾟ) =(ﾟｰﾟ)-(ﾟｰﾟ); "; 
					 if( /ひだまりスケッチ×(365|３５６)\s*来週も見てくださいね[!！]/.test( text ) )
					 {
						r += "X=_=3; ";
						r += "\r\n\r\n    X / _ / X < \"来週も見てくださいね!\";\r\n\r\n";
					 }
    				r += "(ﾟДﾟ) =(ﾟΘﾟ)= (o^_^o)/ (o^_^o);"+
			        "(ﾟДﾟ)={ﾟΘﾟ: '_' ,ﾟωﾟﾉ : ((ﾟωﾟﾉ==3) +'_') [ﾟΘﾟ] "+
			        ",ﾟｰﾟﾉ :(ﾟωﾟﾉ+ '_')[o^_^o -(ﾟΘﾟ)] "+
			        ",ﾟДﾟﾉ:((ﾟｰﾟ==3) +'_')[ﾟｰﾟ] }; (ﾟДﾟ) [ﾟΘﾟ] =((ﾟωﾟﾉ==3) +'_') [c^_^o];"+
			        "(ﾟДﾟ) ['c'] = ((ﾟДﾟ)+'_') [ (ﾟｰﾟ)+(ﾟｰﾟ)-(ﾟΘﾟ) ];"+
			        "(ﾟДﾟ) ['o'] = ((ﾟДﾟ)+'_') [ﾟΘﾟ];"+
			        "(ﾟoﾟ)=(ﾟДﾟ) ['c']+(ﾟДﾟ) ['o']+(ﾟωﾟﾉ +'_')[ﾟΘﾟ]+ ((ﾟωﾟﾉ==3) +'_') [ﾟｰﾟ] + "+
			        "((ﾟДﾟ) +'_') [(ﾟｰﾟ)+(ﾟｰﾟ)]+ ((ﾟｰﾟ==3) +'_') [ﾟΘﾟ]+"+
			        "((ﾟｰﾟ==3) +'_') [(ﾟｰﾟ) - (ﾟΘﾟ)]+(ﾟДﾟ) ['c']+"+
			        "((ﾟДﾟ)+'_') [(ﾟｰﾟ)+(ﾟｰﾟ)]+ (ﾟДﾟ) ['o']+"+
			        "((ﾟｰﾟ==3) +'_') [ﾟΘﾟ];(ﾟДﾟ) ['_'] =(o^_^o) [ﾟoﾟ] [ﾟoﾟ];"+
 			        "(ﾟεﾟ)=((ﾟｰﾟ==3) +'_') [ﾟΘﾟ]+ (ﾟДﾟ) .ﾟДﾟﾉ+"+
			        "((ﾟДﾟ)+'_') [(ﾟｰﾟ) + (ﾟｰﾟ)]+((ﾟｰﾟ==3) +'_') [o^_^o -ﾟΘﾟ]+"+
			        "((ﾟｰﾟ==3) +'_') [ﾟΘﾟ]+ (ﾟωﾟﾉ +'_') [ﾟΘﾟ]; "+
			        "(ﾟｰﾟ)+=(ﾟΘﾟ); (ﾟДﾟ)[ﾟεﾟ]='\\\\'; "+
			        "(ﾟДﾟ).ﾟΘﾟﾉ=(ﾟДﾟ+ ﾟｰﾟ)[o^_^o -(ﾟΘﾟ)];"+ 
					"(oﾟｰﾟo)=(ﾟωﾟﾉ +'_')[c^_^o];"+//TODO
			        "(ﾟДﾟ) [ﾟoﾟ]='\\\"';"+ 
			        "(ﾟДﾟ) ['_'] ( (ﾟДﾟ) ['_'] (ﾟεﾟ+";
 				   r += "(ﾟДﾟ)[ﾟoﾟ]+ ";
 				   for( var i = 0; i < text.length; i++ )
 				   {
   			        n = text.charCodeAt( i );
        			t = "(ﾟДﾟ)[ﾟεﾟ]+";
					if( n <= 127 )
					{

					t += n.toString( 8 ).replace( /[0-7]/g, function(c){ return b[ c ] + "+ "; } );

					}
					else
					{
					
					var m = /[0-9a-f]{4}$/.exec( "000" + n.toString(16 ) )[0];
					t += "(oﾟｰﾟo)+ " + m.replace( /[0-9a-f]/gi, function(c){ return b[ parseInt( c,16 ) ] + "+ "; } );
					
					}
        			r += t;

    				}
   		    		r += "(ﾟДﾟ)[ﾟoﾟ]) (ﾟΘﾟ)) ('_');";
					console.log(r);
  		    		return r;
				}
//编码函数结束
			}

				catch(e)
				{
					alert(e.message);
				}
			}

		}
		//以上是加密函数
		//以下是解密函数
		
		function jiemi(s)
		{
			//创建一个变量接受传过来的解码方式
			var decode = s;
			//如果解码方式等于URL
			if(decode=="url")
			{
				try{
				decodeObj.value=decodeURIComponent(encodeObj.value);
				}
				catch(e)
				{
					alert(e);
				}
			}

			//如果解码方式是html实体编码十进制
			if(decode=="html10")
			{
				try{
				var jieguo ="";
				var jieguoary= encodeObj.value.split("&#");
				for(var i=1;i<jieguoary.length;i++)
				{
					jieguo+=String.fromCharCode(parseInt(jieguoary[i].replace(';','')));
					
				}
				decodeObj.value=jieguo;
				}
				catch(e)
				{
					alert(e);
				}
			}

			//如果解码方式是html实体编码十六进制
			if(decode=="html16")
			{
				try{
				var jieguo ="";
				var jieguoary= encodeObj.value.split("&#x");
				for(var i=1;i<jieguoary.length;i++)
				{
					jieguo+=String.fromCharCode(parseInt(jieguoary[i],16));
				}
				decodeObj.value=jieguo;
				}
				catch(e)
				{
					alert(e);
				}
			}

			//如果解码方式是js unicode编码
			if(decode=="jsunicode")
			{
				try{
				var jieguo ="";
				var jieguoary= encodeObj.value.split("\\u00");
				for(var i=1;i<jieguoary.length;i++)
				{
					jieguo+=String.fromCharCode(parseInt(jieguoary[i],16));
				}
				decodeObj.value=jieguo;
				}
				catch(e)
				{
					alert(e)
				};
			}

			//如果解码方式是js16进制编码
			if(decode=="js16")
			{
				try{
				var jieguo ="";
				var jieguoary= encodeObj.value.split("\\x");
				for(var i=1;i<jieguoary.length;i++)
				{
					jieguo+=String.fromCharCode(parseInt(jieguoary[i],16));
				}
				decodeObj.value=jieguo;
				}
				catch(e)
				{
					alert(e);
				}
			}

			//如果解码方式是js8进制编码
			if(decode=="js8")
			{
				try{
					var jieguo ="";
					var jieguoary= encodeObj.value.split("\\");
					for(var i=1;i<jieguoary.length;i++)
						{
							jieguo+=String.fromCharCode(parseInt(jieguoary[i],8));
						}
					decodeObj.value=jieguo;
					}
				catch(e)
				{
					alert("e");
				}
			}

			

			//如果解码方式是base64编码
			if(decode=="base64")
			{
				try
				{
					decodeObj.value=atob(encodeObj.value);
				}
				catch(e)
				{
					alert("e");
				}
			}

			//如果解码方式是String.fromCharCode
			if(decode=="String")
			{
				decodeObj.value="";
				try
				{	
					var temp = encodeObj.value.split(",");
					for(var i=0;i<temp.length;i++)
					{
						decodeObj.value+=String.fromCharCode(temp[i])
					}


				}

				catch(e)
				{

					alert("e");
				}

			}

			if(decode=="utf-7"){
				try{
					var base64Str= "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
					var directStr= "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'(),-./:?";
					var optionalStr= "!\"#$%&*;<=>@[]^_`{|}";
					function utf7decode(str) {
						var output = "";
						for (; str.length > 0;) {
							if (str[0] != "+") {
								output = output + str[0];
								str = str.slice(1)
								continue;
							};
							var end = str.indexOf("-");
							if (end == -1) {
								output = output + _decode(str.slice(1));
								return output;
							}
							output = output + _decode(str.slice(1, end));
							str = str.slice(end + 1)
						}
						return output;
					}

					function _decode(str) {
					var chr1, chr2, chr3, enc1, enc2, enc3, enc4, enc5, input;
					var hex = "";
					var output = "";
					for (i = 0; str.length > 0; i++) {
						if (i == 0) {
							input = str.slice(0, 3)
							str = str.slice(3)
							chr1 = base64Str.indexOf(input[0]);
							chr2 = base64Str.indexOf(input[1]);
							var lastchr = chr3 = base64Str.indexOf(input[2]);
							enc1 = chr1 >> 2;
							enc2 = ((chr1 & 3) << 2) | (chr2 >> 4);
							enc3 = chr2 & 15;
							enc4 = chr3 >> 2;
							hex = hex + Number(enc1).toString(16) + Number(enc2).toString(16) + Number(enc3).toString(16) + Number(enc4).toString(16);
							hex = hex.replace(/-1/g, "");
						}
						if (i == 1) {
							input = str.slice(0, 3)
							str = str.slice(3)
							chr1 = base64Str.indexOf(input[0]);
							chr2 = base64Str.indexOf(input[1]);
							chr3 = base64Str.indexOf(input[2]);
							enc1 = (lastchr & 3) << 2 | chr1 >> 4;
							enc2 = chr1 & 15;
							enc3 = chr2 >> 2;
							enc4 = (chr2 & 3) << 2 | chr3 >> 4;
							enc5 = chr3 & 15;
							hex = hex + Number(enc1).toString(16) + Number(enc2).toString(16) + Number(enc3).toString(16) + Number(enc4).toString(16) + Number(enc5).toString(16);
							hex = hex.replace(/-1/g, "");
							i = -1;
						}
					}
					for (;;) {
						temp = hex.slice(0, 4);
						hex = hex.slice(4);
						if (temp.length < 4) break;
						output = output + unescape("%u" + temp)
					}
					return output;
				}
				decodeObj.value = utf7decode(encodeObj.value);
				}
			
				catch(e){
					alert(e.message);
				}

			}

			//如果选择的解码方式是 jp utf-8
			if(decode=="utf8jp")
			{
				try
				{
           		    decodeObj.value = utf8jpdecode(encodeObj.value);
    				function utf8jpdecode(text) {
  			        var evalPreamble = "(\uFF9F\u0414\uFF9F) ['_'] ( (\uFF9F\u0414\uFF9F) ['_'] (";
       	            var decodePreamble = "( (\uFF9F\u0414\uFF9F) ['_'] (";
        	        var evalPostamble = ") (\uFF9F\u0398\uFF9F)) ('_');";
        	        var decodePostamble = ") ());";
        		    text = text.replace(/^\s*/, "").replace(/\s*$/, "");
    		        if (/^\s*$/.test(text)) {
                     return "";
        			}
        			if (text.lastIndexOf(evalPreamble) < 0) {
           			 throw new Error("Given code is not encoded as aaencode.");
       				 }
       			    if (text.lastIndexOf(evalPostamble) != text.length - evalPostamble.length) {
            		 throw new Error("Given code is not encoded as aaencode.");
       			     }

       				var decodingScript = text.replace(evalPreamble, decodePreamble)
                            			     .replace(evalPostamble, decodePostamble);
       			    return eval(decodingScript);
  			        }		  

				}

				catch(e)
				{
					alert("e");
				}
			}
		}			

